path: /build/build/gsound-media-libs-1.0.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="introspection vala" emerge media-libs/gsound -pv -t && \
    USE="introspection vala" emerge -j ${JOBS} --nodeps media-libs/gsound
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gsound && luet-portage --dir /pkgdir/gsound
    media-libs/gsound && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:016434b5fea2ec87d2d2293c190088708ff5ad8e094aa479d292e6f0dd9eb71a
  package:
    name: gsound
    version: 1.0.2
    category: media-libs
    use_flags:
    - introspection
    - vala
    requires:
    - name: macaroni-funtoo-race13
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Thin GObject wrapper around the libcanberra sound event library
    uri:
    - https://wiki.gnome.org/Projects/GSound
    license: LGPL-2.1+
    buildtimestamp: 2023-09-05 01:05:11.187737448 +0000 UTC m=+79.404005908
    labels:
      DEPEND: '>=dev-libs/glib-2.62.2:2 media-libs/libcanberra introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
        ) >=dev-util/gtk-doc-am-1.20 virtual/pkgconfig vala? ( || ( dev-lang/vala:0.50[vapigen(+)]
        dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
        dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
        ) ) >=app-portage/elt-patches-20170815 app-arch/xz-utils dev-util/desktop-file-utils
        x11-misc/shared-mime-info'
      IUSE: +introspection vala
      RDEPEND: '>=dev-libs/glib-2.62.2:2 media-libs/libcanberra introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
        )'
      emerge.packages: media-libs/gsound
      kit: gnome-kit
      original.package.name: media-libs/gsound
      original.package.slot: "0"
      original.package.version: 1.0.2-r1
    treedir: /build/packages
  package_dir: /pkgdir/gsound
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: fc550b42dc1fa35acfcb5abfabbd8a0ea29587e06fb5622a6adf6bc04fd35652
compressiontype: zstd
files:
- usr/bin/gsound-play
- usr/include/gsound-attr.h
- usr/include/gsound-context.h
- usr/include/gsound.h
- usr/lib64/girepository-1.0/GSound-1.0.typelib
- usr/lib64/libgsound.so
- usr/lib64/libgsound.so.0
- usr/lib64/libgsound.so.0.0.2
- usr/lib64/pkgconfig/gsound.pc
- usr/share/doc/gsound-1.0.2-r1/ChangeLog.bz2
- usr/share/doc/gsound-1.0.2-r1/README.bz2
- usr/share/gir-1.0/GSound-1.0.gir
- usr/share/gtk-doc/html/gsound/GSoundContext.html
- usr/share/gtk-doc/html/gsound/annotation-glossary.html
- usr/share/gtk-doc/html/gsound/api-index-full.html
- usr/share/gtk-doc/html/gsound/ch01.html
- usr/share/gtk-doc/html/gsound/deprecated-api-index.html
- usr/share/gtk-doc/html/gsound/gsound-GSound-Attributes.html
- usr/share/gtk-doc/html/gsound/gsound.devhelp2
- usr/share/gtk-doc/html/gsound/home.png
- usr/share/gtk-doc/html/gsound/index.html
- usr/share/gtk-doc/html/gsound/index.sgml
- usr/share/gtk-doc/html/gsound/left-insensitive.png
- usr/share/gtk-doc/html/gsound/left.png
- usr/share/gtk-doc/html/gsound/object-tree.html
- usr/share/gtk-doc/html/gsound/right-insensitive.png
- usr/share/gtk-doc/html/gsound/right.png
- usr/share/gtk-doc/html/gsound/style.css
- usr/share/gtk-doc/html/gsound/up-insensitive.png
- usr/share/gtk-doc/html/gsound/up.png
- usr/share/vala/vapi/gsound.deps
- usr/share/vala/vapi/gsound.vapi
- var/db/pkg/media-libs/gsound-1.0.2-r1/BUILD_TIME
- var/db/pkg/media-libs/gsound-1.0.2-r1/CATEGORY
- var/db/pkg/media-libs/gsound-1.0.2-r1/CBUILD
- var/db/pkg/media-libs/gsound-1.0.2-r1/CFLAGS
- var/db/pkg/media-libs/gsound-1.0.2-r1/CHOST
- var/db/pkg/media-libs/gsound-1.0.2-r1/CONTENTS
- var/db/pkg/media-libs/gsound-1.0.2-r1/COUNTER
- var/db/pkg/media-libs/gsound-1.0.2-r1/CXXFLAGS
- var/db/pkg/media-libs/gsound-1.0.2-r1/DEFINED_PHASES
- var/db/pkg/media-libs/gsound-1.0.2-r1/DEPEND
- var/db/pkg/media-libs/gsound-1.0.2-r1/DESCRIPTION
- var/db/pkg/media-libs/gsound-1.0.2-r1/EAPI
- var/db/pkg/media-libs/gsound-1.0.2-r1/FEATURES
- var/db/pkg/media-libs/gsound-1.0.2-r1/HOMEPAGE
- var/db/pkg/media-libs/gsound-1.0.2-r1/INHERITED
- var/db/pkg/media-libs/gsound-1.0.2-r1/IUSE
- var/db/pkg/media-libs/gsound-1.0.2-r1/IUSE_EFFECTIVE
- var/db/pkg/media-libs/gsound-1.0.2-r1/KEYWORDS
- var/db/pkg/media-libs/gsound-1.0.2-r1/LDFLAGS
- var/db/pkg/media-libs/gsound-1.0.2-r1/LICENSE
- var/db/pkg/media-libs/gsound-1.0.2-r1/NEEDED
- var/db/pkg/media-libs/gsound-1.0.2-r1/PF
- var/db/pkg/media-libs/gsound-1.0.2-r1/PROVIDES
- var/db/pkg/media-libs/gsound-1.0.2-r1/RDEPEND
- var/db/pkg/media-libs/gsound-1.0.2-r1/REQUIRES
- var/db/pkg/media-libs/gsound-1.0.2-r1/SIZE
- var/db/pkg/media-libs/gsound-1.0.2-r1/SLOT
- var/db/pkg/media-libs/gsound-1.0.2-r1/USE
- var/db/pkg/media-libs/gsound-1.0.2-r1/environment.bz2
- var/db/pkg/media-libs/gsound-1.0.2-r1/gsound-1.0.2-r1.ebuild
- var/db/pkg/media-libs/gsound-1.0.2-r1/repository
package_cacheimage: ""
runtime:
  name: gsound
  version: 1.0.2
  category: media-libs
  use_flags:
  - introspection
  - vala
  requires:
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  - name: libcanberra
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Thin GObject wrapper around the libcanberra sound event library
  uri:
  - https://wiki.gnome.org/Projects/GSound
  license: LGPL-2.1+
  labels:
    DEPEND: '>=dev-libs/glib-2.62.2:2 media-libs/libcanberra introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
      ) >=dev-util/gtk-doc-am-1.20 virtual/pkgconfig vala? ( || ( dev-lang/vala:0.50[vapigen(+)]
      dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
      dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
      ) ) >=app-portage/elt-patches-20170815 app-arch/xz-utils dev-util/desktop-file-utils
      x11-misc/shared-mime-info'
    IUSE: +introspection vala
    RDEPEND: '>=dev-libs/glib-2.62.2:2 media-libs/libcanberra introspection? ( >=dev-libs/gobject-introspection-1.62.0:=
      )'
    emerge.packages: media-libs/gsound
    kit: gnome-kit
    original.package.name: media-libs/gsound
    original.package.slot: "0"
    original.package.version: 1.0.2-r1
